> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cloudsquid.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Table

> Create a new table (extraction, reconciliation, storage).



## OpenAPI

````yaml post /projects/{project_name}/tables
openapi: 3.0.3
info:
  title: Cloudsquid
  description: This is the backend of cloudsquid specification
  termsOfService: cloudsquid.io
  contact:
    email: info@cloudsquid.io
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  version: 1.0.11
servers:
  - url: https://api.cloudsquid.io/api
    description: API
security:
  - api-key: []
paths:
  /projects/{project_name}/tables:
    parameters:
      - name: project_name
        in: path
        required: true
        description: the name of the project
        schema:
          type: string
    post:
      tags:
        - tables
      summary: Create a new table
      description: Create a new table.
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Table'
      responses:
        '200':
          description: Successfully created table
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Table'
        '400':
          description: Bad or malformed request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '500':
          description: Something unexpected happened internally
components:
  schemas:
    Table:
      description: Table Configuration
      type: object
      properties:
        name:
          type: string
          description: name of the table
        id:
          type: string
          format: uuid
          description: id of the table
        created_at:
          type: string
          format: date-time
          description: time the table was created
        settings:
          type: object
          description: settings of the table
          additionalProperties: true
        type:
          type: string
          description: the type of the table
          enum:
            - Extraction
            - Reconcile
            - Storage
      required:
        - type
        - name
    Error:
      type: object
      properties:
        errorMessage:
          type: string
      required:
        - errorMessage
  securitySchemes:
    api-key:
      type: apiKey
      in: header
      name: X-API-Key

````